public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/glew/
Date: Fri,  4 Aug 2017 00:43:57 +0000 (UTC)	[thread overview]
Message-ID: <1501807093.a7d96deaa07eb0c15a431c3e4e5bc6b944adad0b.radhermit@gentoo> (raw)

commit:     a7d96deaa07eb0c15a431c3e4e5bc6b944adad0b
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  4 00:38:13 2017 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Fri Aug  4 00:38:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7d96dea

media-libs/glew: version bump to 2.1.0

 media-libs/glew/Manifest          |   1 +
 media-libs/glew/glew-2.1.0.ebuild | 100 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 101 insertions(+)

diff --git a/media-libs/glew/Manifest b/media-libs/glew/Manifest
index ddd1cc922e1..991218a5626 100644
--- a/media-libs/glew/Manifest
+++ b/media-libs/glew/Manifest
@@ -2,3 +2,4 @@ DIST glew-1.10.0.tgz 567605 SHA256 99c41320b63f6860869b5fb9af9a1854b15582796c64e
 DIST glew-1.13.0.tgz 616070 SHA256 aa25dc48ed84b0b64b8d41cdd42c8f40f149c37fa2ffa39cd97f42c78d128bc7 SHA512 8fc8d7c0d2cd9235ea51db9972f492701827bff40642fdb3cc54c10b0737dba8e6d8d0dcd8c5aa5bfaaae39c6198ba3d4292cd1662fbe1977eb9a5d187ba635f WHIRLPOOL be9a64348c6cbe3961429b5a4d5ef27f0f2cca3dad9d49a208eb98ff1a08b82885a5b7351860a8ef46cac50ede467e4c2343436a689234bf88ee2ddf16f796a7
 DIST glew-1.6.0.tgz 494713 SHA256 bea2a7e9bb97a7a5054d4a65d16aaeedeaa091719359ad3fcd9bfdb0fe8eb7fa SHA512 5b8ca9e97d01d49fde591b0c55683620e0a6ddfaf5e93e03536e6217bbb548adfcd4e945a39ed3cfddac3f239b3272be1b3491f4071689d02c4bfb7e0ec44904 WHIRLPOOL 45372f5ada69fda90b6c7dd8dd261bd67f77d1c0b53d2ca4186060269ab3518dc8c0232e6930fa52eedeca4486144a65519b8f194ea7384948b757d2f3e5d027
 DIST glew-2.0.0.tgz 667340 SHA256 c572c30a4e64689c342ba1624130ac98936d7af90c3103f9ce12b8a0c5736764 SHA512 e9bcd5f19a4495ce6511dfd76e64b4e4d958603c513ee9063eb9fe24fc6e0413f168620661230f1baef558f2f907cef7fe7ab2bdf957a6f7bda5fe96e9319c6a WHIRLPOOL 710fdef2079bc4f94e75e910bad6dc54abb0a0e0598576a8222de1dc200212fe0b49a2ec196035029431f0bbac691095b0850e994a363a3e41762a927ea76b50
+DIST glew-2.1.0.tgz 764073 SHA256 04de91e7e6763039bc11940095cd9c7f880baba82196a7765f727ac05a993c95 SHA512 9a9b4d81482ccaac4b476c34ed537585ae754a82ebb51c3efa16d953c25cc3931be46ed2e49e79c730cd8afc6a1b78c97d52cd714044a339c3bc29734cd4d2ab WHIRLPOOL 5653c741561d3cd48465675d434eb7575955054ec1aa0e0f4cbb11c12117786a19c9830aff8ddc5e4f173385cdd017e977ee689309262fefb6c0a21236f9d2fa

diff --git a/media-libs/glew/glew-2.1.0.ebuild b/media-libs/glew/glew-2.1.0.ebuild
new file mode 100644
index 00000000000..3ddebf5f830
--- /dev/null
+++ b/media-libs/glew/glew-2.1.0.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib-minimal toolchain-funcs versionator
+
+DESCRIPTION="The OpenGL Extension Wrangler Library"
+HOMEPAGE="http://glew.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tgz"
+
+LICENSE="BSD MIT"
+SLOT="0/$(get_version_component_range 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc static-libs"
+
+DEPEND="
+	>=virtual/glu-9.0-r1[${MULTILIB_USEDEP}]
+	>=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}]
+	>=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+	>=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+	>=x11-libs/libXi-1.7.2[${MULTILIB_USEDEP}]
+	>=x11-libs/libXmu-1.1.1-r1[${MULTILIB_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	local PATCHES=( "${FILESDIR}"/${PN}-2.0.0-install-headers.patch )
+
+	sed -i \
+		-e '/INSTALL/s:-s::' \
+		-e '/$(CC) $(CFLAGS) -o/s:$(CFLAGS):$(CFLAGS) $(LDFLAGS):' \
+		-e '/^.PHONY: .*\.pc$/d' \
+		Makefile || die
+
+	if ! use static-libs ; then
+		sed -i \
+			-e '/glew.lib:/s|lib/$(LIB.STATIC) ||' \
+			-e '/glew.lib.mx:/s|lib/$(LIB.STATIC.MX) ||' \
+			-e '/INSTALL.*LIB.STATIC/d' \
+			Makefile || die
+	fi
+
+	# don't do stupid Solaris specific stuff that won't work in Prefix
+	cp config/Makefile.linux config/Makefile.solaris || die
+	# and let freebsd be built as on linux too
+	cp config/Makefile.linux config/Makefile.freebsd || die
+
+	default
+	multilib_copy_sources
+}
+
+glew_system() {
+	# Set the SYSTEM variable instead of probing. #523444 #595280
+	case ${CHOST} in
+	*linux*)          echo "linux" ;;
+	*-freebsd*)       echo "freebsd" ;;
+	*-darwin*)        echo "darwin" ;;
+	*-solaris*)       echo "solaris" ;;
+	mingw*|*-mingw*)  echo "mingw" ;;
+	*) die "Unknown system ${CHOST}" ;;
+	esac
+}
+
+set_opts() {
+	myglewopts=(
+		AR="$(tc-getAR)"
+		STRIP=true
+		CC="$(tc-getCC)"
+		LD="$(tc-getCC) ${LDFLAGS}"
+		SYSTEM="$(glew_system)"
+		M_ARCH=""
+		LDFLAGS.EXTRA=""
+		POPT="${CFLAGS}"
+	)
+}
+
+multilib_src_compile() {
+	set_opts
+	emake \
+		GLEW_DEST="${EPREFIX}/usr" \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		"${myglewopts[@]}"
+}
+
+multilib_src_install() {
+	set_opts
+	emake \
+		GLEW_DEST="${ED}/usr" \
+		LIBDIR="${ED}/usr/$(get_libdir)" \
+		PKGDIR="${ED}/usr/$(get_libdir)/pkgconfig" \
+		"${myglewopts[@]}" \
+		install.all
+
+	dodoc README.md
+	if use doc; then
+		docinto html
+		dodoc doc/*
+	fi
+}


             reply	other threads:[~2017-08-04  0:44 UTC|newest]

Thread overview: 56+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-04  0:43 Tim Harder [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-12-30  3:04 [gentoo-commits] repo/gentoo:master commit in: media-libs/glew/ Sam James
2023-12-30  3:04 Sam James
2023-12-30  3:04 Sam James
2023-12-30  3:04 Sam James
2023-12-30  3:04 Sam James
2023-08-28 16:14 James Le Cuirot
2023-08-28 16:14 James Le Cuirot
2023-08-28 16:14 James Le Cuirot
2023-07-02 20:28 James Le Cuirot
2023-06-10 10:25 Sam James
2022-08-28  5:06 WANG Xuerui
2021-07-14 16:15 Marek Szuba
2021-03-16 21:28 Sam James
2021-03-16 20:21 Sam James
2021-03-16 20:21 Sam James
2020-07-27 13:54 Sam James
2020-07-25 11:16 Sam James
2020-07-25  8:42 Sergei Trofimovich
2020-07-24 14:32 Sam James
2020-07-24 11:54 Sam James
2020-07-24  7:17 Sam James
2020-05-07 12:42 Lars Wendler
2019-05-20 17:22 Aaron Bauman
2019-02-10 11:51 Mikle Kolyada
2019-02-10 11:51 Mikle Kolyada
2019-02-10 11:51 Mikle Kolyada
2019-02-10 11:51 Mikle Kolyada
2019-02-02 21:17 Sergei Trofimovich
2019-02-02 19:18 Sergei Trofimovich
2019-02-01 14:55 Tobias Klausmann
2019-01-28 19:38 Sergei Trofimovich
2018-10-01 20:55 Andreas Sturmlechner
2018-10-01 20:55 Andreas Sturmlechner
2018-05-30 16:10 Mikle Kolyada
2018-04-21  8:56 Mikle Kolyada
2018-04-07 21:30 Sergei Trofimovich
2018-03-31 17:52 Tobias Klausmann
2018-03-18 12:25 Mikle Kolyada
2018-03-18 11:15 Sergei Trofimovich
2018-03-17 12:17 Sergei Trofimovich
2018-01-18  5:18 Benda XU
2017-05-05 19:10 Markus Meier
2017-04-23 12:40 Agostino Sarubbo
2017-04-22  7:33 Tobias Klausmann
2017-04-19  6:52 Jeroen Roovers
2017-04-01 22:42 Andreas Sturmlechner
2017-04-01 22:42 Andreas Sturmlechner
2017-04-01 22:42 Andreas Sturmlechner
2017-01-04 19:41 Zac Medico
2016-12-09 22:45 Mike Frysinger
2016-08-10 15:21 James Le Cuirot
2016-07-24 21:23 James Le Cuirot
2016-07-24 21:23 James Le Cuirot
2016-04-12  5:57 Tim Harder
2015-08-25  4:31 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1501807093.a7d96deaa07eb0c15a431c3e4e5bc6b944adad0b.radhermit@gentoo \
    --to=radhermit@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox